升級 PHP 5.2.8 以及 WordPress 2.7

這兩天分別升級了 PHP 5.2.8WordPress 2.7,寫篇紀錄順便測試一下 WordPress 的新後台。

PHP 5.2.8 是安全性更新,所以也趕緊把我這台 FreeBSD 作升級,在 DK 大神那看到一些升級細節,擷取部份內容:

因為 php5-pcre 直接被納入 php5 內 (也就是不需要額外再安裝,這個 port 已經消失),而直接用 portupgrade 升級 php5 會造成 php5-pcre 不會被移除,所以需要一些強硬的手段:

# cd /var/db/pkg
# pkg_delete -f php5-pcre-*
# portupgrade -f php5*
# portupgrade -f pecl*

然後再跑 pkgdb -F 把 dependency 清理一下。

再來是所有的 WordPress 用戶都該更新的 WordPress 2.7 Coltrane,這次後台大更動,有興趣看多了哪些新特色的人可以直接看官方公告,後台新介面我看的是滿舒服的 :)

有需要中文語系的,可以去 Kirin Lin 製作的版本下載,或者是 skyfate 的版本

發表迴響